# VkDeviceOrHostAddressKHR(3) Manual Page

## Name

VkDeviceOrHostAddressKHR - Union specifying a device or host address

## C Specification

The `VkDeviceOrHostAddressKHR` union is defined as:

    typedef union VkDeviceOrHostAddressKHR {
        VkDeviceAddress    deviceAddress;
        void*              hostAddress;
    } VkDeviceOrHostAddressKHR;

## Members

- `deviceAddress` is a buffer device address as returned by the vkGetBufferDeviceAddressKHR command.

- `hostAddress` is a host memory address.

## Description

## See Also

VkAccelerationStructureBuildGeometryInfoKHR, VkCopyAccelerationStructureToMemoryInfoKHR, `VkDeviceAddress`

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.